明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 13641|回复: 277

[源码] Entmake构造线(射线)

    [复制链接]
发表于 2014-4-7 20:36 | 显示全部楼层 |阅读模式
;;[功能] X轴(Y轴)构造线
;;Flag T时,在X轴线上产生射线
;;示例 (EntmakeXline (getpoint) "X")产生平行X轴的射线
(defun EntmakeXline (pt Flag / P1)
  (if Flag
    (setq p1 '(1 0 0))
    (setq p1 '(0 1 0))
  )
  (entmakeX (list '(0 . "XLINE")
                  '(100 . "AcDbEntity")
                  '(100 . "AcDbXline")
                  (cons 10 pt)
                  (cons 11 p1)
            )
  )
)

点评

这是射线?!  发表于 2014-12-4 09:19

本帖被以下淘专辑推荐:

发表于 2014-4-7 20:37 | 显示全部楼层
发表于 2014-4-7 20:40 | 显示全部楼层
老黄,又批量发代码啦
发表于 2014-4-7 20:58 | 显示全部楼层
发表于 2014-4-7 22:13 | 显示全部楼层
这两天楼主很高产吗
发表于 2014-4-7 22:18 | 显示全部楼层
批量发代码啦
发表于 2014-4-7 23:22 | 显示全部楼层
黄大师心血来潮就井喷了
发表于 2014-4-8 06:43 | 显示全部楼层
这个似乎也发过呀...
发表于 2014-4-8 07:15 | 显示全部楼层
感谢黄老师分享程序!
发表于 2014-4-8 07:45 | 显示全部楼层
正需要这个..谢谢了
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-12-19 05:29 , Processed in 2.880996 second(s), 30 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表